classification
Title: test_ossaudiodev fails
Type: Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: donmez
Priority: normal Keywords:

Created on 2008-07-12 10:24 by donmez, last changed 2008-07-18 16:11 by benjamin.peterson. This issue is now closed.

Messages (4)
msg69582 - (view) Author: Ismail Donmez (donmez) * Date: 2008-07-12 10:24
This is a rather new regression:

test_ossaudiodev
test test_ossaudiodev failed -- Traceback (most recent call last):
  File "/home/cartman/Sources/py3k/Lib/test/test_ossaudiodev.py", line
146, in test_playback
    self.play_sound_file(*sound_info)
  File "/home/cartman/Sources/py3k/Lib/test/test_ossaudiodev.py", line
66, in play_sound_file
    setattr(dsp, attr, 42)
AttributeError: 'ossaudiodev.oss_audio_device' object has no attribute
'closed'
msg69643 - (view) Author: Ismail Donmez (donmez) * Date: 2008-07-14 05:18
Works with today's SVN, please close as invalid.
msg69644 - (view) Author: Ismail Donmez (donmez) * Date: 2008-07-14 05:23
Scratch that, it still fails in the second phase of make testall with
the same error.
msg69957 - (view) Author: Ismail Donmez (donmez) * Date: 2008-07-18 16:10
Works fine in beta2.
History
Date User Action Args
2008-07-18 16:11:44benjamin.petersonsetstatus: open -> closed
resolution: fixed
2008-07-18 16:10:47donmezsetmessages: + msg69957
2008-07-14 05:23:40donmezsetmessages: + msg69644
2008-07-14 05:18:33donmezsetmessages: + msg69643
2008-07-12 10:24:50donmezcreate